Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 04 Apr 2023 16:33:28 +0000 (UTC)

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hi good day, I want to place an order and use the promo code cp15 for first time order, I’ve never used online ordering before but it says for first time orders only.

Please help me with this I really want to place my order and use the code.

Email  [email-masked]

Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5986230